#version 330 core

// Input vertex data, different for all executions of this shader.
layout(location = 0) in vec3 vertexPosition_modelspace;
layout(location = 5) in vec2 boneIndex;
layout(location = 6) in vec2 boneWeight;

uniform mat4[30] boneMatrices;

// Values that stay constant for the whole mesh.
uniform mat4 depthMVP;

void main(){
	vec4 interpolatedPos = vec4(0);
	interpolatedPos += (boneMatrices[int(boneIndex.x)] * vec4(vertexPosition_modelspace, 1)) * boneWeight.x;
	interpolatedPos += (boneMatrices[int(boneIndex.y)] * vec4(vertexPosition_modelspace, 1)) * boneWeight.y;
	gl_Position = depthMVP * interpolatedPos;
}